python2.4 2.4.6-1ubuntu5 source package in Ubuntu

Changelog

python2.4 (2.4.6-1ubuntu5) lucid; urgency=low

  * SECURITY UPDATE: fix DoS via malformed XML
    - debian/patches/CVE-2009-3720.dpatch: update Modules/expat/xmltok_impl.c
      to not access beyond end of input string
    - CVE-2009-3720
  * SECURITY UPDATE: fix DoS via malformed UTF-8 sequences
    - debian/patches/CVE-2009-3560.dpatch: update Modules/expat/xmlparse.c to
      properly recognize the end of a token
    - CVE-2009-3560
 -- Jamie Strandboge <email address hidden>   Thu, 21 Jan 2010 10:30:58 -0600

Upload details

Uploaded by:
Jamie Strandboge on 2010-01-21
Uploaded to:
Lucid
Original maintainer:
Ubuntu Development Team
Architectures:
any
Section:
python
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
python2.4_2.4.6.orig.tar.gz 9.2 MiB 855c5fb882b1f6e8a061603b0207485bd86407864f4de60a45df588903e3f95d
python2.4_2.4.6-1ubuntu5.diff.gz 2.6 MiB fdb0322096df36698982c6d1befc3cf325c39b9ad3f327b692df2fa110ced128
python2.4_2.4.6-1ubuntu5.dsc 1.8 KiB db878c17583ca4b62743ac08e0d67d6e89c5e19da84747afbce67bebfb85b7ab

Available diffs

View changes file

Binary packages built by this source

idle-python2.4: No summary available for idle-python2.4 in ubuntu lucid.

No description available for idle-python2.4 in ubuntu lucid.

python2.4: No summary available for python2.4 in ubuntu lucid.

No description available for python2.4 in ubuntu lucid.

python2.4-dbg: No summary available for python2.4-dbg in ubuntu lucid.

No description available for python2.4-dbg in ubuntu lucid.

python2.4-dev: No summary available for python2.4-dev in ubuntu lucid.

No description available for python2.4-dev in ubuntu lucid.

python2.4-doc: No summary available for python2.4-doc in ubuntu lucid.

No description available for python2.4-doc in ubuntu lucid.

python2.4-examples: No summary available for python2.4-examples in ubuntu lucid.

No description available for python2.4-examples in ubuntu lucid.

python2.4-minimal: No summary available for python2.4-minimal in ubuntu lucid.

No description available for python2.4-minimal in ubuntu lucid.